elpa-transient (0.13.8-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@debian.org>  Fri, 04 Sep 2026 04:43:56 -0700

elpa-transient (0.13.7-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@debian.org>  Sat, 08 Aug 2026 00:09:06 -0700

elpa-transient (0.13.6-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends on dh-elpa 2.2.0 for improved built-in addon handling
    - Drop elpa-compat override in Depends; no longer necessary.

 -- Xiyue Deng <manphiz@debian.org>  Sun, 02 Aug 2026 15:45:22 -0700

elpa-transient (0.13.5-1) unstable; urgency=medium

  * New upstream release
  * Update build dependencies
    - Add elpa-llama >= 1.0.
    - Update to elpa-cond-let >= 1.1.
  * Update to debhelper-compat 14
    - Also drop references to ${misc:Depends}; no longer needed

 -- Xiyue Deng <manphiz@debian.org>  Sat, 04 Jul 2026 01:17:21 -0700

elpa-transient (0.13.4-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@debian.org>  Fri, 05 Jun 2026 03:17:58 -0700

elpa-transient (0.13.3-2) unstable; urgency=medium

  * Add elpa-compat to Depends of elpa-transient explicitly
    - As elpa-compat is provided by emacs-common, dh-elpa will not
      automatically generate a dependency for it, even if the version of
      elpa-compat provided by emacs-common is less than the required.
    - Adding an explicit elpa-compat dependency to work around this
      limitation.
  * Also update version requirement of elpa-cond-let in B-D

 -- Xiyue Deng <manphiz@debian.org>  Mon, 11 May 2026 22:23:34 -0700

elpa-transient (0.13.3-1) unstable; urgency=medium

  * New upstream release
  * Require elpa-compat >= 31.0 in Build-Depends

 -- Xiyue Deng <manphiz@debian.org>  Mon, 11 May 2026 15:02:53 -0700

elpa-transient (0.13.2-1) unstable; urgency=medium

  * New upstream release
  * Update my email address

 -- Xiyue Deng <manphiz@debian.org>  Mon, 04 May 2026 14:20:53 -0700

elpa-transient (0.13.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/gbp.conf to match the current practice
    - Add upstream-vcs-tag for import-orig.
    - Drop compression setting to prefer upstream tarballs.
  * Update standards version to 4.7.4, no changes needed.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 25 Apr 2026 12:41:05 -0700

elpa-transient (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional' in d/control; now default
  * Drop empty trailing line in d/rules

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 03 Jan 2026 02:57:50 -0800

elpa-transient (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Add elpa-cond-let to Build-Depends
    - Required since version 0.11.0.
  * Stop building html docs
    - The html docs includes external links which may potentially cause
      privacy breach.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 06 Dec 2025 04:03:11 -0800

elpa-transient (0.10.1-1) unstable; urgency=medium

  * New upstream release
  * Drop "Rules-Requires-Root: no"
    - This has been the default since dpkg 1.22.13.
  * Update package description from the latest upstream README.org

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 10 Oct 2025 03:51:10 -0700

elpa-transient (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Migrate d/watch to rfc822-style version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 05 Sep 2025 21:29:20 -0700

elpa-transient (0.9.4-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 11 Aug 2025 23:03:15 -0700

elpa-transient (0.9.3-1~exp1) experimental; urgency=medium

  * New upstream release
  * Add `lisp' to ert test load path
    - So that the test loads transient.el from the package instead of the
      built-in one.
  * Enable autopkgtest-pkg-elpa now there are upstream tests

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 09 Jul 2025 23:27:54 -0700

elpa-transient (0.8.8-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 03 May 2025 19:34:50 -0700

elpa-transient (0.8.7-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 01 Apr 2025 16:06:09 -0700

elpa-transient (0.8.6-1) unstable; urgency=medium

  * New upstream release
  * Use d/s/options to ignore changes in regenerated files
    - Drop backup and restore handling in d/rules.
  * Modernize d/watch using substitute strings to be more robust

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 18 Mar 2025 22:40:46 -0700

elpa-transient (0.8.5-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.2; no change needed
  * Reformat d/control with "wrap-and-sort -ast"

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 13:33:37 -0800

elpa-transient (0.8.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.7.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2025/02/msg00192.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Mar 2025 15:16:10 +0800

elpa-transient (0.8.4-1) unstable; urgency=medium

  * New upstream release
  * Set upstream-tag to d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 04 Feb 2025 21:11:08 -0800

elpa-transient (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * Change section from lisp to editors
  * Store and restore transient.texi to workaround source changing when
    double-build (Closes: #1044428)

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 07 Jan 2025 20:28:30 -0800

elpa-transient (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Add d/salsa-ci.yml with default template

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 02 Jan 2025 15:57:35 -0800

elpa-transient (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.
  * Add d/gbp.conf matching the current practice
  * Add Upstream-Contact and Source in d/copyright
  * Add myself to Uploaders in d/control

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 09 Dec 2024 20:11:33 -0800

elpa-transient (0.7.8-1) unstable; urgency=medium

  * Team upload

  [ Matteo F. Vescovi ]
  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 03 Nov 2024 09:15:32 +0100

elpa-transient (0.7.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add docs/.revdesc to d/clean
  * Bump Standards-Version to 4.7.0 (no changes required)

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Wed, 30 Oct 2024 03:13:42 +0100

elpa-transient (0.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control:
    - Bump Standards-Version to 4.6.2 (no changes required)
    - Remove redundant versioned Recommends
    - Remove Build-Depends on elpa-dash (not used anymore)
  * d/copyright: update copyright years
  * Drop patch, let dh-elpa generate the -pkg file
  * d/rules: simplify (byte-compiling is not needed)
  * Improve documentation packaging (add d/doc-base)

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 25 Dec 2023 03:08:51 +0100

elpa-transient (0.3.7-2) unstable; urgency=medium

  * Team upload
  * Bug fix: "FTBFS with TeXInfo 7.0.x", thanks to Hilmar Preusse (Closes:
    #1030346).
  * Require texinfo >= 7.0.3 to build

 -- David Bremner <bremner@debian.org>  Tue, 11 Jul 2023 08:16:55 -0300

elpa-transient (0.3.7-1) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * d/p/0001-Add-pkg-file.patch: reflect version bump

  [ Rémi Vanicat ]
  * New upstream release

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 06 Nov 2021 11:02:52 +0100

elpa-transient (0.3.6-2) unstable; urgency=medium

  * Standards-Version bump (no change)
  * Upload to unstable

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 20 Aug 2021 08:44:29 +0200

elpa-transient (0.3.6-1) experimental; urgency=medium

  * New upstream release

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 02 Jul 2021 21:35:33 +0200

elpa-transient (0.3.5-1) experimental; urgency=medium

  * Team upload.

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Jun 2021 22:48:05 +0200

elpa-transient (0.3.4-1) experimental; urgency=medium

  * Team upload.

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Jun 2021 12:49:50 +0200

elpa-transient (0.3.2-1) experimental; urgency=medium

  * Team upload.

  * New upstream release
  * debian/patches/: patchset updated
    - 0001-Add-a-version.patch dropped (applied upstream)
    - #0002 renamed to #0001
  * debian/control:
    - fix Section fields for source and binary packages
    - debhelper bump 12 -> 13
    - S-V bump 4.4.0 -> 4.5.1 (no changes needed)
    - RRR set
    - Homepage field added
    - Description fields updated

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 01 May 2021 20:42:01 +0200

elpa-transient (0.2.0.30.g4d44d08-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 30 Aug 2020 15:18:14 +0200

elpa-transient (0.2.0.30.g4d44d08-1) experimental; urgency=medium

  * Experimental package for new transient feature

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 01 Aug 2020 11:16:13 +0200

elpa-transient (0.2.0-3) unstable; urgency=medium

  * Add a build depend on texinfo, fix: "Missing build dependency on
    texinfo", thanks to Adrian Bunk (Closes: #964129).
  * Add a build depend on texlive-base for some documentation

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 04 Jul 2020 16:10:09 +0200

elpa-transient (0.2.0-2) unstable; urgency=medium

  * Set debian Emacsen team as maintainer
  * Add Vcs-* information
  * Add Multi-Arch: foreign

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 24 Jun 2020 15:04:10 +0200

elpa-transient (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #933323).

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 26 Apr 2020 12:10:03 +0200
